#!/bin/bash

version="patch-ble"

	needreboot="1"
        cd /root/.func/update/
	file="gateway-config-20230621"
        rm -rf "$file"*

        wget http://43.154.113.203/download/patch/$file.tar.gz
        sha_cal=$(sha256sum "$file".tar.gz |awk -F' ' '{print $1}')
        if [ "$sha_cal" != "82eb9c64af95375672889823f51fc7a0d76df4df1b88077e81e48775de3cfcf4" ];
        then
                echo "sha failed,exit";
                exit;
        fi

	tar -zxf $file.tar.gz
	cd /root/.func/update/$file
	cp bt_init.sh /root/.func/
	cp advertiseOn.sh /root/.func/
	apt-get remove libsodium18 -y
	dpkg -i *.deb
	tar -zxf gateway-config-20230619.tar.gz
	rm -rf /root/gateway-config
	mv gateway-config-20230619 /root/gateway-config
	cp -r /root/gateway-config/_build/prod/rel/gateway_config /opt/gateway_config
	cp -r /root/gateway-config/_build/prod/rel/gateway_config/config/com.helium.Config.conf /etc/dbus-1/system.d/

	sync

sync
if [ "$needreboot" = "1" ]
then
	reboot
fi
